Imports System
Imports System.Data
Imports System.Configuration
Imports System.Collections
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports Telerik.Charting

Partial Public Class Chart_Examples_Skinning_Bars_DefaultCS
	Inherits System.Web.UI.Page
	Protected Sub Page_Load(sender As Object, e As EventArgs)
		If Not Page.IsPostBack Then
			Dim series As New ChartSeries()
			series.Type = ChartSeriesType.Bar
			series.DataXColumn = "XValue"
			series.DataYColumn = "YValue"

			CapacityRadChart.Series.Add(series)

			CapacityRadChart.DataSource = Me.GetDataSource()
			CapacityRadChart.DataBind()

			CapacityRadChart.PlotArea.XAxis.LabelStep = 10
			CapacityRadChart.PlotArea.XAxis.AxisLabel.TextBlock.Text = "X-axis values"
			CapacityRadChart.PlotArea.XAxis.AxisLabel.TextBlock.Appearance.TextProperties.Color = System.Drawing.Color.Red
			CapacityRadChart.PlotArea.XAxis.Appearance.TextAppearance.AutoTextWrap = Telerik.Charting.Styles.AutoTextWrap.False

			CapacityRadChart.PlotArea.YAxis.AxisLabel.TextBlock.Text = "Y-axis values"
			CapacityRadChart.PlotArea.YAxis.AxisLabel.TextBlock.Appearance.TextProperties.Color = System.Drawing.Color.Red

			CapacityRadChart.PlotArea.Appearance.FillStyle.FillType = Telerik.Charting.Styles.FillType.Solid
			CapacityRadChart.PlotArea.Appearance.FillStyle.MainColor = System.Drawing.Color.White
		End If
	End Sub

	Private Function GetDataSource() As List(Of Class1)
		Dim r As New Random()
		Dim source As List(Of Class1) = New List(Of Class1)

		For i As Integer = -200 To 200
			Dim item As New Class1()

			item.XValue = i
			item.YValue = r.[Next](0, 100)

			source.Add(item)
		Next

		Return source
	End Function

End Class


